#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library

Summary:	ATK - Accessibility Toolkit
Summary(pl.UTF-8):	ATK - biblioteka ułatwiająca niepełnosprawnym korzystanie z komputerów
Summary(pt_BR.UTF-8):	Interfaces para suporte a acessibilidade
Name:		atk
Version:	2.26.1
Release:	1
Epoch:		1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/atk/2.26/%{name}-%{version}.tar.xz
# Source0-md5:	7cddcc313b9a3efd19b2ddf079ba68f5
URL:		https://developer.gnome.org/atk/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.2
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
%if %{with apidocs}
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	gtk-doc-automake >= 1.13
%endif
BuildRequires:	libtool >= 2:2.2
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.32.0
Obsoletes:	libatk1.0_0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
as tools such as screen readers and magnifiers, and alternative input
devices.

%description -l pl.UTF-8
Biblioteka ATK udostępnia zestaw interfejsów ułatwiających
niepełnosprawnym korzystanie z aplikacji i poszczególnych elementów
graficznego interfejsu użytkownika. Poprzez wykorzystanie interfejsów
ATK, aplikacja lub element interfejsu może być używany z takimi
narzędziami jak czytniki ekranu i narzędzia powiększające oraz
alternatywnymi urządzeniami wejściowymi.

%description -l pt_BR.UTF-8
A biblioteca ATK provê um conjunto de interfaces para adicionar
suporte a acessibilidade para aplicações e interfaces gráficas.
Suportando a interface ATK, uma aplicação ou interface gráfica pode
ser utilizada como ferramentas de leitura e aumento de tela,
dispositivos de entrada alternativos, etc.

%package devel
Summary:	ATK - header files
Summary(pl.UTF-8):	ATK - pliki nagłówkowe
Summary(pt_BR.UTF-8):	Interfaces para suporte a acessibilidade
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Obsoletes:	libatk1.0_0-devel

%description devel
ATK - header files.

%description devel -l pl.UTF-8
ATK - pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Interfaces para suporte a acessibilidade.

%package static
Summary:	ATK static library
Summary(pl.UTF-8):	Biblioteka statyczna ATK
Summary(pt_BR.UTF-8):	Interfaces para suporte a acessibilidade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
ATK static library.

%description static -l pl.UTF-8
Biblioteka statyczna ATK.

%description static -l pt_BR.UTF-8
Interfaces para suporte a acessibilidade.

%package apidocs
Summary:	ATK API documentation
Summary(pl.UTF-8):	Dokumentacja API ATK
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
ATK API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API ATK.

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable apidocs gtk-doc} \
	--with-html-dir=%{_gtkdocdir} \
	%{__enable_disable static_libs static} \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libatk-1.0.la

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/atk}

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr@ije,sr@ijekavian}

%find_lang atk10

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f atk10.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libatk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatk-1.0.so.0
%{_libdir}/girepository-1.0/Atk-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatk-1.0.so
%{_includedir}/atk-1.0
%{_pkgconfigdir}/atk.pc
%{_datadir}/gir-1.0/Atk-1.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libatk-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/atk
%endif
%changelog
* Tue Oct 24 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/atk.git;a=log;h=master

* Tue Oct 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> fe602ae
- Update to 2.26.1

* Mon Sep 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 0c796fd
- Update to 2.26.0

* Sat Mar 18 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e055b8f
- Update to 2.24.0

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> f1e681e
- Update to 2.22.0

* Tue Apr 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 03c1fb2
- gettext version

* Mon Mar 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> bf68aac
- Update to 2.20.0

* Mon Sep 21 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 4fceb95
- Update to 2.18.0

* Tue Mar 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 39fb499
- BR: python

* Mon Mar 23 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 0d65647
- Update to 2.16.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2bdf8b9
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 24 2014 Jan Rękorajski <baggins@pld-linux.org> 6002002
- updated gettext BR

* Thu Sep 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 3802e31
- updated to 2.14.0

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> ecb1401
- noarch apidocs

* Mon Mar 24 2014 Marcin Banasiak <marcin.banasiak@gmail.com> b451702
- Update to 2.12.0

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 3d63263
- updated to 2.10.0

* Tue Mar 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> d5bad36
- Update to 2.8.0

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 9084060
- release 3

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> c81824e
- Merge branch 'master' of git://git.pld-linux.org/packages/atk

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 02c1a01
- rename sr@ije locale to sr@ijekavian; release 2

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 564ee2a
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

